<template>
    <block type="timeline" v-bind="params">
        <div class="container">
            <section-title v-if="params.header" v-bind="params.header" class="text-center"></section-title>
			<div class="section-timeline__items">
				<card-timeline v-for="(item, index) in content.items" :key="index" :item="item"></card-timeline>
				<div class="timeline"></div>
			</div>
        </div>
    </block>
</template>

<script>
	export default {
		props: {
			content: {
				type: Object,
				default: () => {
					return {
						items: require('@js/samples').default.load('timeline')
					}
				}
			},
			params: {
				type: Object,
				default: () => {
					return {}
				}
			}
		},
	    data() {
        	return {}
	    }
	}
</script>